Hooks:PostHook(WeaponFactoryTweakData, "init", "UAEReduxInit", function(self)

	self.parts.wpn_fps_pis_rage_b_dekai.override_weapon = {sounds = {fire = "deagle_fire"}}
	
	self.parts.wpn_fps_pis_rage_b_pocket.override_weapon = {sounds = {fire = "c45_fire"}}
	
	self.parts.wpn_fps_pis_rage_b_velocity.override_weapon = {
        muzzleflash = "effects/payday2/particles/weapons/fps_parts/fps_big_flash_sniper",
		sounds = {fire = "minigun_fire_single"}
	}
	
	self.parts.wpn_fps_rpg7_b_sup.override_weapon = {sounds = {fire = "arbiter_fire"}}
	
	self.parts.wpn_fps_pis_breech_b_tammou.override_weapon = {sounds = {fire = "c45_fire"}}
	
	self.parts.wpn_fps_pis_peacemaker_sl_spitfire.override_weapon = {muzzleflash = "effects/payday2/particles/weapons/shotgun/sho_muzzleflash_dragons_breath"}
	
	self.parts.wpn_fps_ass_74_ck_asg.override_weapon = {
	    muzzleflash = "effects/payday2/particles/weapons/9mm_auto_silence_fps",
	    shell_ejection = "effects/payday2/particles/weapons/shells/shell_empty",
		sounds = {fire = "skorpion_fire_single", fire_single = "skorpion_fire_single", fire_auto = "skorpion_fire", stop_fire = "skorpion_stop"}
	}
	
	self.parts.wpn_fps_pis_1911_ck_gamma.override_weapon = {sounds = {fire = "deagle_fire"}}
	
	self.parts.wpn_fps_snp_mosin_a_762avto.custom_stats = {
		armor_piercing_add = 0, armor_piercing_chance = 0,
		can_shoot_through_enemy = false, can_shoot_through_shield = false, can_shoot_through_wall = false
	}
	
	self.parts.wpn_fps_pis_lemming_a_copper.custom_stats = {
		armor_piercing_add = 0, armor_piercing_chance = 0,
		can_shoot_through_enemy = false, can_shoot_through_shield = false, can_shoot_through_wall = false
	}
	
	self.parts.wpn_fps_pis_lemming_a_copper.override_weapon = {AMMO_MAX = 150}
	
	self.parts.wpn_fps_pis_lemming_a_copper.override_weapon_add = {AMMO_PICKUP = {2.5,4}}
	
	self.parts.wpn_fps_pis_lemming_a_cobalt.custom_stats = {
		armor_piercing_add = 0.5, armor_piercing_chance = 0.3,
		can_shoot_through_enemy = false, can_shoot_through_shield = false, can_shoot_through_wall = true
	}
	
	self.parts.wpn_fps_pis_lemming_a_cobalt.override_weapon = {CLIP_AMMO_MAX = 10}
	
	self.parts.wpn_fps_pis_lemming_a_cobalt.override_weapon_add = {AMMO_PICKUP = {1.5,2.1},}
	
	self.parts.wpn_fps_upg_a_bean.custom_stats = {rays = 12}
	
	self.parts.wpn_fps_upg_a_bean.override_weapon_add = {AMMO_PICKUP = {1,5}}
	
	self.parts.wpn_fps_upg_a_buck_long.custom_stats = {rays = 6}
	
	self.parts.wpn_fps_upg_a_birdshot.custom_stats = {rays = 16}
	
	self.parts.wpn_fps_upg_a_slug_l.custom_stats = {rays = 1, armor_piercing_add = 1, armor_piercing_chance = 0.5}
	
	self.parts.wpn_fps_upg_a_slug_h.custom_stats = {
	    rays = 1, armor_piercing_add = 1, armor_piercing_chance = 0.75,
		can_shoot_through_shield = true, can_shoot_through_wall = true
	}
	
	self.parts.wpn_fps_upg_a_x4.custom_stats = {rays = 4, can_shoot_through_enemy = true}
	
	self.parts.wpn_fps_upg_a_bren.custom_stats = {rays = 1, armor_piercing_add = 0.8, armor_piercing_chance = 0.2, can_shoot_through_enemy = true}
	
	self.parts.wpn_fps_upg_a_20g.custom_stats = {rays = 9}
	
	-- v3 stuff
	
	self.parts.wpn_fps_sho_basset_a_commando.custom_stats = {rays = 1}
	
	self.parts.wpn_fps_snp_winchester_a_747horn.override_weapon = {sounds = {fire = "rpg_fire"}}

	self.parts.wpn_fps_snp_winchester_a_45plink.override_weapon = {sounds = {fire = "c45_fire"}}
	
	local custom_sight_id = "wpn_fps_upg_o_low"
	local based_on_id = "wpn_fps_upg_o_specter"
	local offset = Vector3(0, 0, 0)
	if self.parts[custom_sight_id].stance_mod then
		self.parts[custom_sight_id].stance_mod.wpn_fps_ass_m16 = {translation = Vector3(0, 0, 1.85)}
		self.parts[custom_sight_id].stance_mod.wpn_fps_ass_m4 = {translation = Vector3(0, 0, 1.5)}
		self.parts[custom_sight_id].stance_mod.wpn_fps_ass_komodo = {translation = Vector3(0, 0, 2)}
		self.parts[custom_sight_id].stance_mod.wpn_fps_ass_shak12 = {translation = Vector3(0, 0, 3.2)}
		self.parts[custom_sight_id].stance_mod.wpn_fps_snp_tti = {translation = Vector3(0, 0, 1.9)}
		self.parts[custom_sight_id].stance_mod.wpn_fps_snp_desertfox = {translation = Vector3(0, -12, -2)}
		self.parts[custom_sight_id].stance_mod.wpn_fps_snp_r93 = {translation = Vector3(0, -4, -1.8)}
		self.parts[custom_sight_id].stance_mod.wpn_fps_snp_msr = {translation = Vector3(0, -4, -1.7)}
		self.parts[custom_sight_id].stance_mod.wpn_fps_snp_m95 = {translation = Vector3(0, 0, -1.8)}
		self.parts[custom_sight_id].stance_mod.wpn_fps_smg_hajk = {translation = Vector3(0, 0, 1.5)}
		self.parts[custom_sight_id].stance_mod.wpn_fps_smg_polymer = {translation = Vector3(0, 0, 1.4)}
		self.parts[custom_sight_id].stance_mod.wpn_fps_smg_olympic = {translation = Vector3(0, 0, 1.8)}
		self.parts[custom_sight_id].stance_mod.wpn_fps_smg_shepheard = {translation = Vector3(0, 0, 1.5)}
	end
	for _, part_id in pairs(self.parts) do
		if part_id.override and part_id.override[based_on_id] then
			part_id.override[custom_sight_id] = deep_clone(part_id.override[based_on_id])
			if part_id.override[custom_sight_id].stance_mod then
				for _, wpn_id in pairs(part_id.override[custom_sight_id].stance_mod) do
					if wpn_id.translation then
						wpn_id.translation = (wpn_id.translation + offset)
					end
				end
			end
		end
	end
	
	local custom_sight_id = "wpn_fps_snp_winchester_o_offcenter"
	local based_on_id = "wpn_fps_upg_o_cmore"
	local offset = Vector3(3.8, 0, 0.7)
	if self.parts[custom_sight_id].stance_mod then
		self.parts[custom_sight_id].stance_mod.wpn_fps_snp_winchester = {translation = offset}
	end
	for _, part_id in pairs(self.parts) do
		if part_id.override and part_id.override[based_on_id] then
			part_id.override[custom_sight_id] = deep_clone(part_id.override[based_on_id])
			if part_id.override[custom_sight_id].stance_mod then
				for _, wpn_id in pairs(part_id.override[custom_sight_id].stance_mod) do
					if wpn_id.translation then
						wpn_id.translation = (wpn_id.translation + offset)
					end
				end
			end
		end
	end
	
	local custom_sight_id = "wpn_fps_snp_mosin_o_long"
	local based_on_id = "wpn_fps_snp_winchester_o_classic"
	local offset = Vector3(0, -5, -1)
	if self.parts[custom_sight_id].stance_mod then
		self.parts[custom_sight_id].stance_mod.wpn_fps_snp_mosin = {translation = offset}
	end
	for _, part_id in pairs(self.parts) do
		if part_id.override and part_id.override[based_on_id] then
			part_id.override[custom_sight_id] = deep_clone(part_id.override[based_on_id])
			if part_id.override[custom_sight_id].stance_mod then
				for _, wpn_id in pairs(part_id.override[custom_sight_id].stance_mod) do
					if wpn_id.translation then
						wpn_id.translation = (wpn_id.translation + offset)
					end
				end
			end
		end
	end
	
	local custom_sight_id = "wpn_fps_snp_winchester_o_fella"
	local based_on_id = "wpn_fps_upg_o_cmore"
	local offset = Vector3(0, 0, -0.5)
	if self.parts[custom_sight_id].stance_mod then
		self.parts[custom_sight_id].stance_mod.wpn_fps_snp_winchester = {translation = offset}
	end
	for _, part_id in pairs(self.parts) do
		if part_id.override and part_id.override[based_on_id] then
			part_id.override[custom_sight_id] = deep_clone(part_id.override[based_on_id])
			if part_id.override[custom_sight_id].stance_mod then
				for _, wpn_id in pairs(part_id.override[custom_sight_id].stance_mod) do
					if wpn_id.translation then
						wpn_id.translation = (wpn_id.translation + offset)
					end
				end
			end
		end
	end
	
	self.parts.wpn_fps_pis_deagle_ck_civ.override_weapon = {sounds = {fire = "c45_fire"}}
	
	self.parts.wpn_fps_pis_judge_a_357ball.custom_stats = {rays = 1}
	
	self.parts.wpn_fps_pis_judge_a_357ball.override_weapon = {sounds = {fire = "rbull_fire"}}
	
	self.parts.wpn_fps_pis_judge_a_357ball.override_weapon_add = {AMMO_PICKUP = {1,4}}
	
	local custom_sight_id = "wpn_fps_pis_g18c_es_assault"
	local based_on_id = "wpn_fps_upg_o_reflex"
	local offset = Vector3(0, -10, -4.6)
	if self.parts[custom_sight_id].stance_mod then
		self.parts[custom_sight_id].stance_mod.wpn_fps_pis_g18c = {translation = offset}
	end
	for _, part_id in pairs(self.parts) do
		if part_id.override and part_id.override[based_on_id] then
			part_id.override[custom_sight_id] = deep_clone(part_id.override[based_on_id])
			if part_id.override[custom_sight_id].stance_mod then
				for _, wpn_id in pairs(part_id.override[custom_sight_id].stance_mod) do
					if wpn_id.translation then
						wpn_id.translation = (wpn_id.translation + offset)
					end
				end
			end
		end
	end
	
	self.parts.wpn_fps_pis_g18c_ck_wasp.override_weapon = {
		categories = { "smg" }
	}
	
	self.parts.wpn_fps_lmg_rpk_m_breach.override_weapon = {
		categories = { "shotgun" }
	}
	
	self.parts.wpn_fps_snp_mosin_a_762avto.override_weapon = {
		categories = { "assault_rifle" }
	}
	
	self.parts.wpn_fps_sho_basset_a_commando.override_weapon = {
		categories = { "smg" }
	}
	
	self.parts.wpn_fps_pis_judge_a_357ball.override_weapon = {
		categories = { "revolver" }
	}
	
	self.parts.wpn_fps_pis_deagle_a_429de.override_weapon = {AMMO_MAX = 50}
	
	self.parts.wpn_fps_pis_chinchilla_b_sup.override_weapon = {sounds = {fire = "c45_fire"}}
	
	local custom_sight_id = "wpn_fps_pis_deagle_b_bucket"
	local based_on_id = "wpn_fps_upg_o_reflex"
	local offset = Vector3(0, -3, -1.5)
	if self.parts[custom_sight_id].stance_mod then
		self.parts[custom_sight_id].stance_mod.wpn_fps_pis_deagle = {translation = offset}
	end
	for _, part_id in pairs(self.parts) do
		if part_id.override and part_id.override[based_on_id] then
			part_id.override[custom_sight_id] = deep_clone(part_id.override[based_on_id])
			if part_id.override[custom_sight_id].stance_mod then
				for _, wpn_id in pairs(part_id.override[custom_sight_id].stance_mod) do
					if wpn_id.translation then
						wpn_id.translation = (wpn_id.translation + offset)
					end
				end
			end
		end
	end
	
	self.parts.wpn_fps_smg_uzi_ns_rocket.override_weapon = {
		sounds = {fire = "sko12_fire_single", fire_single = "sko12_fire_single", fire_auto = "sko12_fire", stop_fire = "sko12_stop"}
	}
	
	self.parts.wpn_fps_pis_peacemaker_a_bonebreaker.override_weapon = {CLIP_AMMO_MAX = 5}
	
	self.parts.wpn_fps_smg_tec9_ck_pistol.override_weapon = {
		categories = { "pistol" }
	}
	
	self.parts.wpn_fps_gre_china_a_mini.override_weapon = {
		categories = { "shotgun" }
	}
	
	local custom_sight_id = "wpn_fps_pis_peacemaker_body_sup"
	local based_on_id = "wpn_fps_upg_o_reflex"
	local offset = Vector3(0, 0, -1.3)
	if self.parts[custom_sight_id].stance_mod then
		self.parts[custom_sight_id].stance_mod.wpn_fps_pis_peacemaker = {translation = offset}
	end
	for _, part_id in pairs(self.parts) do
		if part_id.override and part_id.override[based_on_id] then
			part_id.override[custom_sight_id] = deep_clone(part_id.override[based_on_id])
			if part_id.override[custom_sight_id].stance_mod then
				for _, wpn_id in pairs(part_id.override[custom_sight_id].stance_mod) do
					if wpn_id.translation then
						wpn_id.translation = (wpn_id.translation + offset)
					end
				end
			end
		end
	end
	
	self.parts.wpn_fps_pis_peacemaker_body_sup.override_weapon = {sounds = {fire = "c45_fire"}}
	
	self.parts.wpn_fps_upg_m_saiga.override_weapon = {
		categories = { "shotgun" }
	}
	
	local custom_sight_id = "wpn_fps_pis_ppk_sl_juris"
	local based_on_id = "wpn_fps_upg_o_reflex"
	local offset = Vector3(0, 0, -0.1)
	if self.parts[custom_sight_id].stance_mod then
		self.parts[custom_sight_id].stance_mod.wpn_fps_pis_ppk = {translation = offset}
	end
	for _, part_id in pairs(self.parts) do
		if part_id.override and part_id.override[based_on_id] then
			part_id.override[custom_sight_id] = deep_clone(part_id.override[based_on_id])
			if part_id.override[custom_sight_id].stance_mod then
				for _, wpn_id in pairs(part_id.override[custom_sight_id].stance_mod) do
					if wpn_id.translation then
						wpn_id.translation = (wpn_id.translation + offset)
					end
				end
			end
		end
	end
	
end)