Hooks:PostHook(WeaponTweakData, "init", "UAEReduxInit", function(self)

	--Gadgets
	-- If you're reading this file and want to adjust the positioning of the gadgets
	-- Look at Vector3 (X,Y,Z)
	-- Positive values in X will move the attachment left and negative right, respectively
	-- Positive values in Y will move the attachment forwards and negative backwards, respectively
	-- Positive values in Z will move the attachment up and negative down, respectively
	
	self:SetupAttachmentPoint( "mosin", {
        name = "a_mosin_ext", base_a_obj = "a_m",
        position = Vector3( 0, 18, -5 ), rotation = RotationCAP( 0, 5, 0 )
    })
	
	self:SetupAttachmentPoint( "c96", {
        name = "a_c96_ma", base_a_obj = "a_m",
        position = Vector3( 0, 1, 0 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "c96", {
        name = "a_c96_ma2", base_a_obj = "a_m",
        position = Vector3( 0, 0, 2.3 ), rotation = RotationCAP( 0, -12, 0 )
    })
	
	local weapons = {"breech", "x_breech"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_breech_m", base_a_obj = "a_m",
    position = Vector3( 0, -0.5, 0 ), rotation = RotationCAP( 0, -8, 0 )
    })
    end
	
	self:SetupAttachmentPoint( "mosin", {
        name = "a_mosin_body", base_a_obj = "a_body",
        position = Vector3( 0, -0.5, 0.7 ), rotation = RotationCAP( 0, -5, 0 )
    })
	
	self:SetupAttachmentPoint( "rsh12", {
        name = "a_rsh12_sharps", base_a_obj = "a_g",
        position = Vector3( 0, 0.7, -0.1 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	local weapons = {"mateba", "x_2006m"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_2006m_comp", base_a_obj = "a_g",
    position = Vector3( 0, 0.6, -0.3 ), rotation = RotationCAP( 0, -13, 0 )
    })
    end
	
	self:SetupAttachmentPoint( "sbl", {
        name = "a_sbl_s_spin", base_a_obj = "a_s",
        position = Vector3( 0, 2.5, 1), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "sbl", {
        name = "a_sbl_b_spin", base_a_obj = "a_b",
        position = Vector3( 0, -2.7, 0), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "winchester1874", {
        name = "a_win_s_flip", base_a_obj = "a_s",
        position = Vector3( 0, -2, -1.2), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "winchester1874", {
        name = "a_win_b_flip", base_a_obj = "a_b",
        position = Vector3( 0, 2.5, 0), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "mosin", {
        name = "a_mosin_ak", base_a_obj = "a_m",
        position = Vector3( 0, 19, -4.5 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	local weapons = {"new_raging_bull", "x_rage"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_rage_g", base_a_obj = "a_g",
    position = Vector3( 0, 0.5, 0 ), rotation = RotationCAP( 0, 0, 0 )
    })
    end
	
	local weapons = {"hs2000", "x_hs2000"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_hs2000_sl", base_a_obj = "a_sl",
    position = Vector3( 0, -4.5, -0.4 ), rotation = RotationCAP( 0, 0, 0 )
    })
    end
	
	local weapons = {"hs2000", "x_hs2000"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_hs2000_g", base_a_obj = "a_g",
    position = Vector3( 0, 2.7, -1.5 ), rotation = RotationCAP( 0, 0, 0 )
    })
    end
	
	self:SetupAttachmentPoint( "new_m4", {
        name = "a_m4_o", base_a_obj = "a_o",
        position = Vector3( 0, 10.3, 0 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "winchester1874", {
        name = "a_win_o_offcenter", base_a_obj = "a_s",
        position = Vector3( -0.2, 20, 4.7 ), rotation = RotationCAP( 0, 0, -60 )
    })

	self:SetupAttachmentPoint( "mosin", {
        name = "a_mosin_o_long", base_a_obj = "a_o",
        position = Vector3( 0, -3.6, -1.5 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "winchester1874", {
        name = "a_win_o_fella", base_a_obj = "a_o",
        position = Vector3( 0, -26.3, -0.55 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	local weapons = {"usp", "x_usp"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_usp_m", base_a_obj = "a_m",
    position = Vector3( 0, 0, 1 ), rotation = RotationCAP( 0, 3, 0 )
    })
    end
	
	local weapons = {"type54", "x_type54"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_type54_sl", base_a_obj = "a_sl",
    position = Vector3( 0, 5.1, 4.45 ), rotation = RotationCAP( 0, 0, 0 )
    })
    end
	
	self:SetupAttachmentPoint( "m45", {
        name = "a_m45_body", base_a_obj = "a_s",
        position = Vector3( 0, 5.4, 6.4 ), rotation = RotationCAP( 0, 180, 0 )
    })
	
	self:SetupAttachmentPoint( "saiga", {
        name = "a_saiga_m", base_a_obj = "a_m",
        position = Vector3( 0.2, 3.5, -3 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "siltstone", {
        name = "a_drag_m_long", base_a_obj = "a_m",
        position = Vector3( 0.15, 4, -11 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "siltstone", {
        name = "a_drag_m_mid", base_a_obj = "a_m",
        position = Vector3( -0.1, 0.5, -3 ), rotation = RotationCAP( 0, -3, 0 )
    })
	
	self:SetupAttachmentPoint( "peacemaker", {
        name = "a_peace_s", base_a_obj = "a_s",
        position = Vector3( 0, 0.5, 2.5 ), rotation = RotationCAP( 0, -7, 0 )
    })
	
	local weapons = {"new_raging_bull", "x_rage"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_rage_b", base_a_obj = "a_b",
    position = Vector3( -0.04, 0, 0.5 ), rotation = RotationCAP( 0, 0, 0 )
    })
    end
	
	self:SetupAttachmentPoint( "ching", {
        name = "a_ching_s", base_a_obj = "a_s",
        position = Vector3( -0.1, -1.25, -0.65 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "ching", {
        name = "a_ching_fg", base_a_obj = "a_fg",
        position = Vector3( 0.1, 7, -4 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "mg42", {
        name = "a_mg42_b", base_a_obj = "a_b",
        position = Vector3( 0, 0, -1.2 ), rotation = RotationCAP( 180, 180, 0 )
    })
	
	self:SetupAttachmentPoint( "tecci", {
        name = "a_tecci_s_buffer", base_a_obj = "a_s",
        position = Vector3( 0, 0.5, 0 ), rotation = RotationCAP( 180, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "tecci", {
        name = "a_tecci_s", base_a_obj = "a_s",
        position = Vector3( 0, -1.7, -1 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "tecci", {
        name = "a_tecci_g", base_a_obj = "a_g",
        position = Vector3( 0, 0.85, 0.4 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "tecci", {
        name = "a_tecci_vg", base_a_obj = "a_vg",
        position = Vector3( 0, -9.5, 2 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	local weapons = {"stech", "x_stech"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_stech_m", base_a_obj = "a_m",
    position = Vector3( 0, -2, -7 ), rotation = RotationCAP( 0, -10, 0 )
    })
    end
	
	self:SetupAttachmentPoint( "sterling", {
        name = "a_sterling_m_swift", base_a_obj = "a_m",
        position = Vector3( -5, -1, 0 ), rotation = RotationCAP( 0, 0, 90 )
    })
	
	self:SetupAttachmentPoint( "sterling", {
        name = "a_sterling_m_straight", base_a_obj = "a_m",
        position = Vector3( -5, 0.3, -0.1 ), rotation = RotationCAP( 0, 6, 90 )
    })
	
	self:SetupAttachmentPoint( "mosin", {
        name = "a_mosin_b", base_a_obj = "a_b",
        position = Vector3( 0, -18, 1 ), rotation = RotationCAP( 0, 0, 180 )
    })
	
	self:SetupAttachmentPoint( "boot", {
        name = "a_boot_m_drum", base_a_obj = "a_body",
        position = Vector3( 3.9, 20.5, -2.5 ), rotation = RotationCAP( 0, -10, -30 )
    })
	
	self:SetupAttachmentPoint( "huntsman", {
        name = "a_huntsman_s_skel", base_a_obj = "a_s",
        position = Vector3( 0, -17, -8.5 ), rotation = RotationCAP( 0, -5, 0 )
    })
	
	self:SetupAttachmentPoint( "b682", {
        name = "a_b682_s_skel", base_a_obj = "a_s",
        position = Vector3( 0, -18, -8 ), rotation = RotationCAP( 0, -5, 0 )
    })
	
	self:SetupAttachmentPoint( "aa12", {
        name = "a_aa12_speedbump_s", base_a_obj = "a_body",
        position = Vector3( 0, -9, 8.7 ), rotation = RotationCAP( 0, 180, 0 )
    })
	
	self:SetupAttachmentPoint( "aa12", {
        name = "a_aa12_speedbump_g", base_a_obj = "a_body",
        position = Vector3( 0, -3.5, -0.5 ), rotation = RotationCAP( 0, 185, 0 )
    })
	
	self:SetupAttachmentPoint( "aa12", {
        name = "a_aa12_speedbump_g2", base_a_obj = "a_body",
        position = Vector3( 0, -3.5, -6 ), rotation = RotationCAP( 0, 80, 0 )
    })
	
	self:SetupAttachmentPoint( "aa12", {
        name = "a_aa12_speedbump_g3", base_a_obj = "a_body",
        position = Vector3( 0, 10, -8.4 ), rotation = RotationCAP( 180, 100, 0 )
    })
	
	self:SetupAttachmentPoint( "aa12", {
        name = "a_aa12_speedbump_fg", base_a_obj = "a_body",
        position = Vector3( 0, 15, 8.5 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "aa12", {
        name = "a_aa12_speedbump_fg2", base_a_obj = "a_body",
        position = Vector3( 0, 39, 10 ), rotation = RotationCAP( 0, 180, 0 )
    })
	
	self:SetupAttachmentPoint( "benelli", {
        name = "a_ben_cov", base_a_obj = "a_fg",
        position = Vector3( 0, 0, 2 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "par", {
        name = "a_ksp_m_double", base_a_obj = "a_m",
        position = Vector3( 25.5, 0, 0 ), rotation = RotationCAP( 0, 0, -90 )
    })
	
	local weapons = {"chinchilla", "x_chinchilla"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_chinchilla_b_angelo", base_a_obj = "a_b",
    position = Vector3( 0.05, 0.9, 0 ), rotation = RotationCAP( 0, 0, 0 )
    })
    end
	
	local weapons = {"c96", "x_c96"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_c96_g", base_a_obj = "a_g",
    position = Vector3( 0, 1, 3.5 ), rotation = RotationCAP( 0, 0, 0 )
    })
    end
	
	self:SetupAttachmentPoint( "benelli", {
        name = "a_ben_s", base_a_obj = "a_s",
        position = Vector3( 0, 3, -6.5 ), rotation = RotationCAP( 0, 13, 0 )
    })
	
	self:SetupAttachmentPoint( "sbl", {
        name = "a_sbl_wire_s", base_a_obj = "a_s",
        position = Vector3( -0.7, -7.3, -1.8 ), rotation = RotationCAP( 0, -15, 180 )
    })
	
	self:SetupAttachmentPoint( "sbl", {
        name = "a_sbl_wire_s2", base_a_obj = "a_s",
        position = Vector3( -0.2, -23.1, -6.7 ), rotation = RotationCAP( 0, -75, 0 )
    })
	
	self:SetupAttachmentPoint( "sbl", {
        name = "a_sbl_wire_g", base_a_obj = "a_s",
        position = Vector3( 0, 1.8, 2.2 ), rotation = RotationCAP( 0, 2, 0 )
    })
	
	self:SetupAttachmentPoint( "ching", {
        name = "a_ching_ma", base_a_obj = "a_body",
        position = Vector3( 0, 16, -6 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "glock_18c", {
        name = "a_g18c_assault_sa", base_a_obj = "a_body",
        position = Vector3( 0, 4, 8 ), rotation = RotationCAP( 180, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "glock_18c", {
        name = "a_g18c_assault_sa2", base_a_obj = "a_body",
        position = Vector3( 0, 14.5, 8 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "glock_18c", {
        name = "a_g18c_assault_s", base_a_obj = "a_s",
        position = Vector3( 0, 0, 0 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "glock_18c", {
        name = "a_g18c_assault_fg", base_a_obj = "a_body",
        position = Vector3( -0.6, 9.5, 4.5 ), rotation = RotationCAP( 0, 0, 90 )
    })
	
	self:SetupAttachmentPoint( "glock_18c", {
        name = "a_g18c_assault_fg2", base_a_obj = "a_body",
        position = Vector3( 0.6, 9.5, 4.5 ), rotation = RotationCAP( 0, 0, -90 )
    })
	
	self:SetupAttachmentPoint( "glock_18c", {
        name = "a_g18c_assault_o", base_a_obj = "a_body",
        position = Vector3( 0, 13, 8 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "glock_18c", {
        name = "a_g18c_assault_m", base_a_obj = "a_s",
        position = Vector3( 0, -17, -0.5 ), rotation = RotationCAP( 0, -85, 180 )
    })
	
	self:SetupAttachmentPoint( "glock_18c", {
        name = "a_g18c_assault_m2", base_a_obj = "a_s",
        position = Vector3( 0, 15, 3.5 ), rotation = RotationCAP( 0, 4, 180 )
    })
	
	self:SetupAttachmentPoint( "glock_18c", {
        name = "a_g18c_assault_g", base_a_obj = "a_g",
        position = Vector3( 0, 1.2, -0.8 ), rotation = RotationCAP( 0, -17, 0 )
    })
	
	self:SetupAttachmentPoint( "fal", {
        name = "a_fal_b", base_a_obj = "a_fg",
        position = Vector3( 0, 0, -0.8 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "fal", {
        name = "a_fal_fg", base_a_obj = "a_b",
        position = Vector3( 0, 0, -0.8 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "ak5", {
        name = "a_ak5_fal", base_a_obj = "a_s",
        position = Vector3( 0, 0, -1 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "fal", {
        name = "a_fal_wood_g", base_a_obj = "a_g",
        position = Vector3( 0, -1, 5.3 ), rotation = RotationCAP( 0, -7, 0 )
    })
	
	local weapons = {"akm", "akmsu", "akm_gold"}
	for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_ak_halfmoon_m2", base_a_obj = "a_m",
    position = Vector3( 0, 29, -13.1 ), rotation = RotationCAP( 0, 86, 0 )
    })
    end
	
	local weapons = {"akm", "akmsu", "akm_gold"}
	for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_ak_halfmoon_m3", base_a_obj = "a_m",
    position = Vector3( 0, 42, -2 ), rotation = RotationCAP( 0, 129, 0 )
    })
    end
	
	local weapons = {"akm", "akmsu", "akm_gold"}
	for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_ak_halfmoon_m1", base_a_obj = "a_m",
    position = Vector3( 0, 12, -12.3 ), rotation = RotationCAP( 0, 43, 0 )
    })
    end
	
	self:SetupAttachmentPoint( "ak74", {
        name = "a_74_halfmoon_m2", base_a_obj = "a_m",
        position = Vector3( 0, 28.9, -20.2 ), rotation = RotationCAP( 0, 72, 0 )
    })
	
	self:SetupAttachmentPoint( "ak74", {
        name = "a_74_halfmoon_m3", base_a_obj = "a_m",
        position = Vector3( 0, 46.1, -14.2 ), rotation = RotationCAP( 0, 108, 0 )
    })
	
	self:SetupAttachmentPoint( "ak74", {
        name = "a_74_halfmoon_m1", base_a_obj = "a_m",
        position = Vector3( 0, 11.2, -14.9 ), rotation = RotationCAP( 0, 36, 0 )
    })
	
	local weapons = {"akm", "akmsu", "akm_gold"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_ak_m_double", base_a_obj = "a_m",
    position = Vector3( 2.6, 2.4, -4.5 ), rotation = RotationCAP( 0, -55, 180 )
    })
    end
	
	self:SetupAttachmentPoint( "ak74", {
        name = "a_74_double_m", base_a_obj = "a_m",
        position = Vector3( 2.6, 1.8, -4 ), rotation = RotationCAP( 0, -45, 180 )
    })
	
	self:SetupAttachmentPoint( "rpk", {
        name = "a_rpk_2quad_m", base_a_obj = "a_m",
        position = Vector3( -4.8, 2.9, -7 ), rotation = RotationCAP( 0, -45, 180 )
    })
	
	local weapons = {"ak5", "amcar", "m16", "new_m4", "l85a2", "komodo", "hajk", "olympic"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_upg_m_2stanag", base_a_obj = "a_m",
    position = Vector3( 2.4, 0.6, -2 ), rotation = RotationCAP( 0, -30, 180 )
    })
    end
	
	local weapons = {"chinchilla", "x_chinchilla"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_chinchilla_b_forward", base_a_obj = "a_b",
    position = Vector3( 0, 0.5, 0 ), rotation = RotationCAP( 0, 0, 0 )
    })
    end
	
	local weapons = {"sparrow", "x_sparrow"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_sparrow_integrated", base_a_obj = "a_b",
    position = Vector3( 0, 2.5, 0 ), rotation = RotationCAP( 0, 0, 0 )
    })
    end
	
	local weapons = {"new_raging_bull", "x_rage"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_rage_pocket", base_a_obj = "a_b",
    position = Vector3( 0, -0.7, 0.4 ), rotation = RotationCAP( 0, 0, 0 )
    })
    end
	
	local weapons = {"deagle", "x_deagle"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_deagle_bucket_o", base_a_obj = "a_body",
    position = Vector3( 0, 7.5, 10 ), rotation = RotationCAP( 0, 0, 0 )
    })
    end
	
	local weapons = {"deagle", "x_deagle"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_deagle_bucket", base_a_obj = "a_b",
    position = Vector3( 0, 5.5, -0.7 ), rotation = RotationCAP( 0, 0, 180 )
    })
    end
	
	local weapons = {"x_mp9", "x_cobray", "x_uzi", "g36", "vhs", "asval", "mp9", "cobray", "uzi"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_b_bucket", base_a_obj = "a_b",
    position = Vector3( 0, -0.5, 0 ), rotation = RotationCAP( 0, 0, 0 )
    })
    end
	
	self:SetupAttachmentPoint( "mosin", {
        name = "a_mosin_bucket1", base_a_obj = "a_b",
        position = Vector3( 0, 18, 0 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "mosin", {
        name = "a_mosin_bucket2", base_a_obj = "a_b",
        position = Vector3( 0, 24, -0.3 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "mosin", {
        name = "a_mosin_bucket", base_a_obj = "a_b",
        position = Vector3( 0, -1, 0 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "rpk", {
        name = "a_rpk_ergo_vg", base_a_obj = "a_fg",
        position = Vector3( 0, 10, -3 ), rotation = RotationCAP( 0, 10, 0 )
    })
	
	local weapons = {"uzi", "x_uzi"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_uzi_rocket_b1", base_a_obj = "a_b",
    position = Vector3( 0, -6.5, -0.3 ), rotation = RotationCAP( 0, 0, 0 )
    })
    end
	
	local weapons = {"uzi", "x_uzi"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_uzi_rocket_b2", base_a_obj = "a_b",
    position = Vector3( 0, 60, -0.5 ), rotation = RotationCAP( 0, 0, 0 )
    })
    end
	
	local weapons = {"uzi", "x_uzi"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_uzi_rocket", base_a_obj = "a_b",
    position = Vector3( 0.13, 21.3, -0.3 ), rotation = RotationCAP( -0.2, 0, 0 )
    })
    end
	
	self:SetupAttachmentPoint( "uzi", {
        name = "a_uzi_krink_vg", base_a_obj = "a_fg",
        position = Vector3( 0, 9, -3.5 ), rotation = RotationCAP( 0, 10, 0 )
    })
	
	local weapons = {"saiga", "basset", "x_basset"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_m_flatbox", base_a_obj = "a_m",
    position = Vector3( 0, -1.3, 0.7 ), rotation = RotationCAP( 0, 0, 0 )
    })
    end
	
	local weapons = {"akm", "akm_gold", "galil", "rpk", "saiga", "akmsu", "coal"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_s_tantal", base_a_obj = "a_s",
    position = Vector3( 0, 0, 1 ), rotation = RotationCAP( 0, 0, 0 )
    })
    end
	
	local weapons = {"akm", "akm_gold", "ak74", "rpk", "saiga", "akmsu", "coal"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_s_doska", base_a_obj = "a_s",
    position = Vector3( 0, 1.7, 0.7 ), rotation = RotationCAP( 0, 0, 0 )
    })
    end
	
	self:SetupAttachmentPoint( "coach", {
        name = "a_coach_s_skel", base_a_obj = "a_s",
        position = Vector3( 0, -5.5, -0.7 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "m590", {
        name = "a_m590_stakeout", base_a_obj = "a_s",
    position = Vector3( 0.05, 9.3, -8.5 ), rotation = RotationCAP( 0, 20, 0 )
    })
	
	local weapons = {"x_b92fs", "x_g17", "jowi", "x_g22c", "x_packrat", "x_1911", "x_shrew", "x_deagle", "x_usp", "x_sparrow", "x_c96", "x_ppk", "x_hs2000", "x_p226", "x_g18c", "x_pl14", "x_legacy", "x_beer", "x_czech", "x_stech", "x_holt", "x_m1911", "x_type54", "lemming", "sparrow", "b92fs", "c96", "glock_17", "g26", "g22c", "packrat", "colt_1911", "shrew", "deagle", "ppk", "usp", "hs2000", "p226", "glock_18c", "pl14", "legacy", "beer", "czech", "stech", "holt", "m1911", "type54"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_pis_ns_inv", base_a_obj = "a_ns",
    position = Vector3( 0, 0, 0 ), rotation = RotationCAP( 0, 0, 180 )
    })
    end
	
	local weapons = {"r870", "serbu"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_overmold_butt1", base_a_obj = "a_s",
    position = Vector3( -0.11, 7.5, -1 ), rotation = RotationCAP( 0, -15, 0 )
    })
    end
	
	local weapons = {"r870", "serbu"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_overmold_butt2", base_a_obj = "a_s",
    position = Vector3( 0.27, 7.5, -1 ), rotation = RotationCAP( 0, -15, 0 )
    })
    end
	
	local weapons = {"r870", "serbu"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_s_overmold", base_a_obj = "a_s",
    position = Vector3( 0.03, 10, -9.6 ), rotation = RotationCAP( 0, 10, 0 )
    })
    end
	
	self:SetupAttachmentPoint( "contender", {
        name = "a_contender_solid_g1", base_a_obj = "a_g",
    position = Vector3( 0, -3, 4 ), rotation = RotationCAP( 0, 45, 0 )
    })
	
	self:SetupAttachmentPoint( "contender", {
        name = "a_contender_solid_g2", base_a_obj = "a_g",
    position = Vector3( 0, -6.5, -5 ), rotation = RotationCAP( 0, -150, 0 )
    })
	
	self:SetupAttachmentPoint( "contender", {
        name = "a_contender_solid_s", base_a_obj = "a_s",
    position = Vector3( 0, 11, -0.4 ), rotation = RotationCAP( 0, -21, 180 )
    })
	
	self:SetupAttachmentPoint( "bessy", {
        name = "a_bessy_yankee_b1", base_a_obj = "a_alignment",
    position = Vector3( -2.6, 0, 0 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "bessy", {
        name = "a_bessy_yankee_b2", base_a_obj = "a_alignment",
    position = Vector3( -2.6, 0, 9.3 ), rotation = RotationCAP( 0, 0, 180 )
    })
	
	self:SetupAttachmentPoint( "bessy", {
        name = "a_bessy_yankee_fg", base_a_obj = "a_alignment",
    position = Vector3( -2.1, 21.3, 5.1 ), rotation = RotationCAP( 0, -20, 0 )
    })
	
	self:SetupAttachmentPoint( "bessy", {
        name = "a_bessy_tac_rec", base_a_obj = "a_alignment",
    position = Vector3( 0, 14.5, 4.5 ), rotation = RotationCAP( 0, 185, 0 )
    })
	
	self:SetupAttachmentPoint( "bessy", {
        name = "a_bessy_tac_fg1", base_a_obj = "a_alignment",
    position = Vector3( 0, 13.3, 2.3 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "bessy", {
        name = "a_bessy_tac_fg2", base_a_obj = "a_alignment",
    position = Vector3( 0, 60, 2.3 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "bessy", {
        name = "a_bessy_tac_sup", base_a_obj = "a_alignment",
    position = Vector3( 0, 106, 2.3 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "bessy", {
        name = "a_bessy_tac_s", base_a_obj = "a_alignment",
    position = Vector3( 0, 4, 1 ), rotation = RotationCAP( 0, -5, 0 )
    })
	
	self:SetupAttachmentPoint( "ching", {
        name = "a_ching_drum", base_a_obj = "a_body",
        position = Vector3( 0, 17.5, -4 ), rotation = RotationCAP( 0, -15, 0 )
    })
	
	self:SetupAttachmentPoint( "m60", {
        name = "a_m60_polymer", base_a_obj = "a_fg",
        position = Vector3( 0, 22, 7 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "m249", {
        name = "a_m249_fg_wood", base_a_obj = "a_fg",
        position = Vector3( 0, 21, 5.5 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	local weapons = {"akm", "akm_gold", "ak74"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_akval_b", base_a_obj = "a_b",
    position = Vector3( 0, 4, 0 ), rotation = RotationCAP( 0, 0, 0 )
    })
    end
	
	self:SetupAttachmentPoint( "m249", {
        name = "a_m249_fg_rubber", base_a_obj = "a_fg",
        position = Vector3( 0, 19.5, 4 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "m249", {
        name = "a_m249_s_wood", base_a_obj = "a_s",
        position = Vector3( 0, 1, 2 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	local weapons = {"akm", "akm_gold", "ak74", "rpk", "saiga", "akmsu", "coal"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_s_tetris", base_a_obj = "a_s",
    position = Vector3( 0, 10, -2 ), rotation = RotationCAP( 0, 0, 0 )
    })
    end
	
	self:SetupAttachmentPoint( "peacemaker", {
        name = "a_peacemaker_sup_o1", base_a_obj = "a_b",
        position = Vector3( 0, 31, 1.7 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "peacemaker", {
        name = "a_peacemaker_sup_o2", base_a_obj = "a_b",
        position = Vector3( 0, 2, 1.7 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "peacemaker", {
        name = "a_peacemaker_sup_b", base_a_obj = "a_b",
        position = Vector3( 0.1, -1, -0.2 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "peacemaker", {
        name = "a_peacemaker_sup", base_a_obj = "a_body",
        position = Vector3( 0.5, 9.2, 6 ), rotation = RotationCAP( 0, 0, 90 )
    })
	
	local weapons = {"shrew", "x_shrew"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_slim2", base_a_obj = "a_body",
    position = Vector3( 0, -0.1, -0.2 ), rotation = RotationCAP( 0, 0, 0 )
    })
    end
	
	self:SetupAttachmentPoint( "peacemaker", {
        name = "a_peacemaker_spitfire", base_a_obj = "a_b",
        position = Vector3( 0, 0.4, -0.3 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "peacemaker", {
        name = "a_peacemaker_tac_ns", base_a_obj = "a_b",
        position = Vector3( 0, 11, 0 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "peacemaker", {
        name = "a_peacemaker_tac_fg", base_a_obj = "a_b",
        position = Vector3( 0, 6.3, -2.5 ), rotation = RotationCAP( 0, 0, 0 )
    })
	
	local weapons = {"ppk", "x_ppk"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_ppk_juris_b", base_a_obj = "a_b",
    position = Vector3( 0, 2.7, -0.3 ), rotation = RotationCAP( 0, 0, 0 )
    })
    end
	
	local weapons = {"ppk", "x_ppk"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_ppk_juris", base_a_obj = "a_sl",
    position = Vector3( 0, 2.7, -0.3 ), rotation = RotationCAP( 0, 0, 0 )
    })
    end
	
	local weapons = {"ppk", "x_ppk"}
    for _, weapon in ipairs(weapons) do
    self:SetupAttachmentPoint(weapon, {
    name = "a_ppk_ergo", base_a_obj = "a_g",
    position = Vector3( 0, 2, 0.5 ), rotation = RotationCAP( 0, 0, 0 )
    })
    end
	
end )